#
# spec file for package python-user-agents
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-user-agents
Version:        2.1.0
Release:        lp152.1.1
Summary:        A library to identify device capabilities (phones, tablets)
License:        MIT
URL:            https://github.com/selwin/python-user-agents
Source:         https://github.com/selwin/python-user-agents/archive/v%{version}.tar.gz
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module ua-parser >= 0.8.0}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-PyYAML
Requires:       python-ua-parser >= 0.8.0
BuildArch:      noarch
%python_subpackages

%description
Python library that can identify/detect devices like mobile phones,
tablets and their capabilities by parsing (browser/HTTP) user agent
strings.

%prep
%setup -q

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}/%{$python_sitelib}

%check
%python_expand $python -m unittest discover

%files %{python_files}
%license LICENSE.txt
%doc README.rst
%{python_sitelib}/*

%changelog
* Tue Mar 10 2020 pgajdos@suse.com
- version update to 2.1.0
  * no upstream changelog found
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Fri Apr 12 2019 Marketa Calabkova <mcalabkova@suse.com>
- update to version 2.0
  * python-user-agents now require ua-parser>=0.8.0.
* Wed Aug  8 2018 jengelh@inai.de
- Ensure neutrality of description.
* Wed Aug  1 2018 tchvatal@suse.com
- Fix dependencies
- Run tests
- Install license
* Wed Jan 10 2018 adrian@suse.de
- initial package of version 1.1.0
